Hi 你好,欢迎访问!登录
当前位置:首页 - 服务器问题 - 正文 SEO教程学习网

ubuntu修改gcc版本的操作方法

2019-12-13服务器问题seo学习网101°c
A+ A-

方法一:

首先,看一下你的Ubuntu都装了哪些版本的gcc 用命令:ls /usr/bin/gcc* -l 我的显示是

lrwxrwxrwx 1 root root 7 2011-08-14 15:17 /usr/bin/gcc -> gcc-4.6

-rwxr-xr-x 1 root root 224544 2011-10-06 05:47 /usr/bin/gcc-4.4

-rwxr-xr-x 1 root root 237072 2011-09-17 17:25 /usr/bin/gcc-4.5

-rwxr-xr-x 1 root root 302104 2011-09-17 05:43 /usr/bin/gcc-4.6

由上面显示可以看出默认安装的是gcc-4.6,现在来改成gcc-4.4

删除gcc-4.6的软连接文件/usr/bin/gcc。(只是删除软连接)

命令:sudo rm /usr/bin/gcc

然后建一个软连接,指向gcc-4.4。

命令:sudo ln -s /usr/bin/gcc-4.4 /usr/bin/gcc

ok了,www.linuxidc.com 现在用命令:gcc -v 显示如下:

使用内建 specs。

目标:i686-linux-gnu

配置为:

../src/configure -v --with-pkgversion='Ubuntu/Linaro 4.4.6-11ubuntu2' --with-bugurl=file:///usr/share/doc/gcc-4.4/README.Bugs --enable-languages=c,c++,fortran,objc,obj-c++ --prefix=/usr --program-suffix=-4.4 --enable-shared --enable-linker-build-id --with-system-zlib --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --with-gxx-include-dir=/usr/include/c++/4.4 --libdir=/usr/lib --enable-nls --with-sysroot=/ --enable-clocale=gnu --enable-libstdcxx-debug --enable-objc-gc --enable-targets=all --disable-werror --with-arch-32=i686 --with-tune=generic --enable-checking=release --build=i686-linux-gnu --host=i686-linux-gnu --target=i686-linux-gnu

线程模型:posix

gcc 版本 4.4.6 (Ubuntu/Linaro 4.4.6-11ubuntu2)

用同样的方法更改g++的默认版本。

方法二:

修改默认gcc和g++为4.4的版本

sudo update-alternatives --remove-all gcc

sudo update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-4.4 40

sudo update-alternatives --install /usr/bin/g++ g++ /usr/bin/g++-4.4 40

配置默认的gcc和g++

sudo update-alternatives --config gcc

sudo update-alternatives --config g++

以上这篇ubuntu修改gcc版本的操作方法就是小编分享给大家的全部内容了,希望能给大家一个参考,也希望大家多多支持SEO学习网。

  选择分享方式
未定义标签

发表评论

选填

必填

必填

选填

请拖动滑块解锁
>>


  用户登录